﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GpsCardGatewayPosition.Service.Biz.Location.Dto.Gaode
{
    public class GetAddressServiceResult
    {
        public GetAddressServiceResult()
        {
            Flag = false;
            Address = "";
            City = "";
        }

        /// <summary>
        /// 是否获取到结果
        /// </summary>
        public bool Flag { get; set; }
        /// <summary>
        /// 地址,poi
        /// </summary>
        public string Address { get; set; }
        /// <summary>
        /// 省名
        /// </summary>
        public string Province { get; set; }
        /// <summary>
        /// 市名
        /// </summary>
        public string City { get; set; }
        /// <summary>
        /// 区县名
        /// </summary>
        public string District { get; set; }
        /// <summary>
        /// 城市编码
        /// </summary>
        public string CityCode { get; set; }
        /// <summary>
        /// 序列化参数的哈希值
        /// </summary>
        public string HashParam { get; set; }
    }
}
